Mono(Mono 1.0)

NAME
monodis - CIL image content dumper and disassembler.

SYNOPSIS

monodis [-h] [--help] [--output=FILENAME] [--mscorlib] [--assembly] [--assemblyref] [--classlayout] [--constant] [--event] [--exported] [--fields] [--file] [--genericpar] [--interface] [--manifest] [--memberref] [--method] [--methodsem] [--module] [--moduleref] [--param] [--parconst] [--property] [--propertymap] [--typedef] [--typeref] [--blob] [FILES...]

DESCRIPTION
The monodis program is used to dump the contents a CIL image (contained in .EXE files that contain extended PE/COFF CIL code).

OPTIONS
The following Generic options are supported:

--help , -h
    Displays usage instructions.

--output=FILENAME
    Write output into FILENAME.

--mscorlib
    For non-corlib assemblies, use "mscorlib" as the assembly name. This is useful for round-tripping the IL with ilasm.

--show-method-tokens
    Display tokens for dissasembled methods

--assembly
    Dumps the contents of the assembly table

--assemblyref
    Dumps the contents of the assemblyref table

--classlayout
    Dumps the contents of the classlayout table

--constant
    Dumps the contents of the constant table

--event
    Dumps the contents of the event table

--exported
    Dumps the contents of the ExportedTypes table

--fields
    Dumps the contents of the fields table

--file
    Dumps the contents of the file table

--genericpar
    Dumps the contents of the generic parameter table. --interface Dumps the contents of the interface table

--manifest
    Dumps the contents of the manifest table.

--memberref
    Dumps the contents of the memberref table

--method
    Dumps the contents of the method table

--methodspec
    Dumps the contents of the method spec table.

--methodsem
    Dumps the contents of the methodsem table

--module
    Dumps the contents of the module table

--moduleref
    Dumps the contents of the moduleref table

--param
    Dumps the contents of the param table

--parconst
    Dumps the contents of the gemeric parameter constraint table

--property
    Dumps the contents of the property table

--propertymap
    Dumps the contents of the propertymap table

--typedef
    Dumps the contents of the typedef table

--typespec
    Dumps the contents of the typespec table

--typeref
    Dumps the contents of the typeref table

--blob
    Dumps the entire contents of the blob stream as hex

If no flags are specified the program dumps the content of the image in a format that can be used to rountrip the code.

ENVIRONMENT VARIABLES

MONO_PATH
    Provides a search path to mono and mint where to look for library files. Directories are separated by the platform path separator (colons on unix). Example: /home/username/lib:/usr/local/mono/lib

AUTHOR
monodis was written by Miguel de Icaza, Paolo Molaro and Dietmar Maurer.

SEE ALSO
pedump(1)